--- old/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
+++ new/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
@@ -18659,220 +19829,168 @@
 	0d16  Crystal Well Integrated Graphics Controller
 	0d26  Crystal Well Integrated Graphics Controller
 	0d36  Crystal Well Integrated Graphics Controller
-	0e00  Xeon E5 v2/Core i7 DMI2
-	0e01  Xeon E5 v2/Core i7 PCI Express Root Port in DMI2 Mode
-	0e02  Xeon E5 v2/Core i7 PCI Express Root Port 1a
-	0e03  Xeon E5 v2/Core i7 PCI Express Root Port 1b
-	0e04  Xeon E5 v2/Core i7 PCI Express Root Port 2a
-	0e05  Xeon E5 v2/Core i7 PCI Express Root Port 2b
-	0e06  Xeon E5 v2/Core i7 PCI Express Root Port 2c
-	0e07  Xeon E5 v2/Core i7 PCI Express Root Port 2d
-	0e08  Xeon E5 v2/Core i7 PCI Express Root Port 3a
-	0e09  Xeon E5 v2/Core i7 PCI Express Root Port 3b
-	0e0a  Xeon E5 v2/Core i7 PCI Express Root Port 3c
-	0e0b  Xeon E5 v2/Core i7 PCI Express Root Port 3d
-	0e10  Xeon E5 v2/Core i7 IIO Configuration Registers
-	0e13  Xeon E5 v2/Core i7 IIO Configuration Registers
-	0e17  Xeon E5 v2/Core i7 IIO Configuration Registers
-	0e18  Xeon E5 v2/Core i7 IIO Configuration Registers
-	0e1c  Xeon E5 v2/Core i7 IIO Configuration Registers
-	0e1d  Xeon E5 v2/Core i7 R2PCIe
-	0e1e  Xeon E5 v2/Core i7 UBOX Registers
-	0e1f  Xeon E5 v2/Core i7 UBOX Registers
-	0e20  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 0
-	0e21  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 1
-	0e22  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 2
-	0e23  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 3
-	0e24  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 4
-	0e25  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 5
-	0e26  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 6
-	0e27  Xeon E5 v2/Core i7 Crystal Beach DMA Channel 7
-	0e28  Xeon E5 v2/Core i7 VTd/Memory Map/Misc
-	0e29  Xeon E5 v2/Core i7 Memory Hotplug
-	0e2a  Xeon E5 v2/Core i7 IIO RAS
-	0e2c  Xeon E5 v2/Core i7 IOAPIC
-	0e2e  Xeon E5 v2/Core i7 CBDMA
-	0e2f  Xeon E5 v2/Core i7 CBDMA
-	0e30  Xeon E5 v2/Core i7 Home Agent 0
-	0e32  Xeon E5 v2/Core i7 QPI Link 0
-	0e33  Xeon E5 v2/Core i7 QPI Link 1
-	0e34  Xeon E5 v2/Core i7 R2PCIe
-	0e36  Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
-	0e37  Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
-	0e38  Xeon E5 v2/Core i7 Home Agent 1
-	0e3a  Xeon E5 v2/Core i7 QPI Link 2
-	0e3e  Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
-	0e3f  Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
-	0e40  Xeon E5 v2/Core i7 QPI Link 2
-	0e41  Xeon E5 v2/Core i7 QPI Ring Registers
-	0e43  Xeon E5 v2/Core i7 QPI Link Reut 2
-	0e44  Xeon E5 v2/Core i7 QPI Link Reut 2
-	0e45  Ivytown-EX QPI Link Agent Register
-	0e47  Ivytown-EX QPI Link Agent Register
-	0e60  Xeon E5 v2/Core i7 Home Agent 1
-	0e68  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Target Address/Thermal Registers
-	0e6a  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
-	0e6b  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
-	0e6c  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
-	0e6d  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
-	0e71  Xeon E5 v2/Core i7 Integrated Memory Controller 0 RAS Registers
-	0e74  Xeon E5 v2/Core i7 R2PCIe
-	0e75  Xeon E5 v2/Core i7 R2PCIe
-	0e77  Xeon E5 v2/Core i7 QPI Ring Registers
-	0e79  Xeon E5 v2/Core i7 Integrated Memory Controller 1 RAS Registers
-	0e7d  Xeon E5 v2/Core i7 UBOX Registers
-	0e7f  Xeon E5 v2/Core i7 QPI Ring Registers
-	0e80  Xeon E5 v2/Core i7 QPI Link 0
-	0e81  Xeon E5 v2/Core i7 QPI Ring Registers
-	0e83  Xeon E5 v2/Core i7 QPI Link Reut 0
-	0e84  Xeon E5 v2/Core i7 QPI Link Reut 0
-	0e85  Ivytown-EX QPI Link Agent Register
-	0e87  Xeon E5 v2/Core i7 QPI Registers
-	0e90  Xeon E5 v2/Core i7 QPI Link 1
-	0e93  Xeon E5 v2/Core i7 QPI Link 1
-	0e94  Xeon E5 v2/Core i7 QPI Link Reut 1
-	0e95  Ivytown-EX QPI Link Agent Register
-	0ea0  Xeon E5 v2/Core i7 Home Agent 0
-	0ea8  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Target Address/Thermal Registers
-	0eaa  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
-	0eab  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
-	0eac  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
-	0ead  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
-	0eae  Xeon E5 v2/Core i7 DDRIO Registers
-	0eaf  Xeon E5 v2/Core i7 DDRIO Registers
-	0eb0  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 0
-	0eb1  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 1
-	0eb2  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 0
-	0eb3  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 1
-	0eb4  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 2
-	0eb5  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 3
-	0eb6  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 2
-	0eb7  Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 3
-	0ebc  Xeon E5 v2/Core i7 DDRIO Registers
-	0ebe  Xeon E5 v2/Core i7 DDRIO Registers
-	0ebf  Xeon E5 v2/Core i7 DDRIO Registers
-	0ec0  Xeon E5 v2/Core i7 Power Control Unit 0
-	0ec1  Xeon E5 v2/Core i7 Power Control Unit 1
-	0ec2  Xeon E5 v2/Core i7 Power Control Unit 2
-	0ec3  Xeon E5 v2/Core i7 Power Control Unit 3
-	0ec4  Xeon E5 v2/Core i7 Power Control Unit 4
-	0ec8  Xeon E5 v2/Core i7 System Address Decoder
-	0ec9  Xeon E5 v2/Core i7 Broadcast Registers
-	0eca  Xeon E5 v2/Core i7 Broadcast Registers
-	0ed8  Xeon E5 v2/Core i7 DDRIO
-	0ed9  Xeon E5 v2/Core i7 DDRIO
-	0edc  Xeon E5 v2/Core i7 DDRIO
-	0edd  Xeon E5 v2/Core i7 DDRIO
-	0ede  Xeon E5 v2/Core i7 DDRIO
-	0edf  Xeon E5 v2/Core i7 DDRIO
-	0ee0  Xeon E5 v2/Core i7 Unicast Registers
-	0ee1  Xeon E5 v2/Core i7 Unicast Registers
-	0ee2  Xeon E5 v2/Core i7 Unicast Registers
-	0ee3  Xeon E5 v2/Core i7 Unicast Registers
-	0ee4  Xeon E5 v2/Core i7 Unicast Registers
-	0ee5  Xeon E5 v2/Core i7 Unicast Registers
-	0ee6  Xeon E5 v2/Core i7 Unicast Registers
-	0ee7  Xeon E5 v2/Core i7 Unicast Registers
-	0ee8  Xeon E5 v2/Core i7 Unicast Registers
-	0ee9  Xeon E5 v2/Core i7 Unicast Registers
-	0eea  Xeon E5 v2/Core i7 Unicast Registers
-	0eeb  Xeon E5 v2/Core i7 Unicast Registers
-	0eec  Xeon E5 v2/Core i7 Unicast Registers
-	0eed  Xeon E5 v2/Core i7 Unicast Registers
-	0eee  Xeon E5 v2/Core i7 Unicast Registers
-	0ef0  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 0
-	0ef1  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 1
-	0ef2  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 0
-	0ef3  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 1
-	0ef4  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 2
-	0ef5  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 3
-	0ef6  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 2
-	0ef7  Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 3
-	0ef8  Xeon E5 v2/Core i7 DDRIO
-	0ef9  Xeon E5 v2/Core i7 DDRIO
-	0efa  Xeon E5 v2/Core i7 DDRIO
-	0efb  Xeon E5 v2/Core i7 DDRIO
-	0efc  Xeon E5 v2/Core i7 DDRIO
-	0efd  Xeon E5 v2/Core i7 DDRIO
-	0f00  ValleyView SSA-CUnit
-	0f01  ValleyView SSA-CUnit
-	0f02  ValleyView SSA-CUnit
-	0f03  ValleyView SSA-CUnit
-	0f04  ValleyView High Definition Audio Controller
-	0f05  ValleyView High Definition Audio Controller
-	0f06  ValleyView LPIO1 DMA Controller
-	0f07  ValleyView LPIO1 DMA Controller
-	0f08  ValleyView LPIO1 PWM Controller
-	0f09  ValleyView LPIO1 PWM Controller
-	0f0a  ValleyView LPIO1 HSUART Controller #1
-	0f0b  ValleyView LPIO1 HSUART Controller #1
-	0f0c  ValleyView LPIO1 HSUART Controller #2
-	0f0d  ValleyView LPIO1 HSUART Controller #2
-	0f0e  ValleyView LPIO1 SPI Controller
-	0f0f  ValleyView LPIO1 SPI Controller
-	0f10  ValleyView LPIO1 Controller
-	0f11  ValleyView LPIO1 Controller
-	0f12  ValleyView SMBus Controller
-	0f13  ValleyView SMBus Controller
-	0f14  ValleyView SDIO Controller
-	0f15  ValleyView SDIO Controller
-	0f16  ValleyView SDIO Controller
-	0f17  ValleyView SDIO Controller
-	0f18  ValleyView SEC
-	0f19  ValleyView SEC
-	0f1a  ValleyView SEC
-	0f1b  ValleyView SEC
-	0f1c  ValleyView Power Control Unit
-	0f1d  ValleyView Power Control Unit
-	0f1e  ValleyView Power Control Unit
-	0f1f  ValleyView Power Control Unit
-	0f20  ValleyView 4-Port SATA Storage Controller
-	0f21  ValleyView 4-Port SATA Storage Controller
-	0f22  ValleyView 6-Port SATA AHCI Controller
-	0f23  ValleyView 6-Port SATA AHCI Controller
-	0f24  ValleyView SATA RAID Storage Controller
-	0f25  ValleyView SATA RAID Storage Controller
-	0f26  ValleyView 2-Port SATA Storage Controller
-	0f27  ValleyView 2-Port SATA Storage Controller
-	0f28  ValleyView LPE Audio Controller
-	0f29  ValleyView LPE Audio Controller
-	0f2a  ValleyView LPE Audio Controller
-	0f2b  ValleyView LPE Audio Controller
-	0f2e  ValleyView SATA RAID Storage Controller
-	0f2f  ValleyView SATA RAID Storage Controller
-	0f30  ValleyView Gen7
-	0f31  ValleyView Gen7
-	0f32  ValleyView Gen7
-	0f33  ValleyView Gen7
-	0f34  ValleyView USB Enhanced Host Controller
-	0f35  ValleyView USB xHCI Host Controller
-	0f36  ValleyView USB xHCI Host Controller
-	0f37  ValleyView OTG
-	0f38  ValleyView ISP
-	0f39  ValleyView ISP
-	0f3a  ValleyView ISP
-	0f3b  ValleyView ISP
-	0f3c  ValleyView ISP
-	0f3d  ValleyView ISP
-	0f3e  ValleyView ISP
-	0f3f  ValleyView ISP
-	0f40  ValleyView LPIO2 DMA Controller
-	0f41  ValleyView LPIO2 I2C Controller #1
-	0f42  ValleyView LPIO2 I2C Controller #2
-	0f43  ValleyView LPIO2 I2C Controller #3
-	0f44  ValleyView LPIO2 I2C Controller #4
-	0f45  ValleyView LPIO2 I2C Controller #5
-	0f46  ValleyView LPIO2 I2C Controller #6
-	0f47  ValleyView LPIO2 I2C Controller #7
-	0f48  ValleyView PCI Express Root Port
-	0f49  ValleyView PCI Express Root Port
-	0f4a  ValleyView PCI Express Root Port
-	0f4b  ValleyView PCI Express Root Port
-	0f4c  ValleyView PCI Express Root Port
-	0f4d  ValleyView PCI Express Root Port
-	0f4e  ValleyView PCI Express Root Port
-	0f4f  ValleyView PCI Express Root Port
-	0f50  ValleyView MIPI-HSI Controller
+	0e00  Xeon E7 v2/Xeon E5 v2/Core i7 DMI2
+	0e01  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port in DMI2 Mode
+	0e02  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 1a
+	0e03  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 1b
+	0e04  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 2a
+	0e05  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 2b
+	0e06  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 2c
+	0e07  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 2d
+	0e08  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 3a
+	0e09  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 3b
+	0e0a  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 3c
+	0e0b  Xeon E7 v2/Xeon E5 v2/Core i7 PCI Express Root Port 3d
+	0e10  Xeon E7 v2/Xeon E5 v2/Core i7 IIO Configuration Registers
+	0e13  Xeon E7 v2/Xeon E5 v2/Core i7 IIO Configuration Registers
+	0e17  Xeon E7 v2/Xeon E5 v2/Core i7 IIO Configuration Registers
+	0e18  Xeon E7 v2/Xeon E5 v2/Core i7 IIO Configuration Registers
+	0e1c  Xeon E7 v2/Xeon E5 v2/Core i7 IIO Configuration Registers
+	0e1d  Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe
+	0e1e  Xeon E7 v2/Xeon E5 v2/Core i7 UBOX Registers
+	0e1f  Xeon E7 v2/Xeon E5 v2/Core i7 UBOX Registers
+	0e20  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 0
+	0e21  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 1
+	0e22  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 2
+	0e23  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 3
+	0e24  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 4
+	0e25  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 5
+	0e26  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 6
+	0e27  Xeon E7 v2/Xeon E5 v2/Core i7 Crystal Beach DMA Channel 7
+	0e28  Xeon E7 v2/Xeon E5 v2/Core i7 VTd/Memory Map/Misc
+	0e29  Xeon E7 v2/Xeon E5 v2/Core i7 Memory Hotplug
+	0e2a  Xeon E7 v2/Xeon E5 v2/Core i7 IIO RAS
+	0e2c  Xeon E7 v2/Xeon E5 v2/Core i7 IOAPIC
+	0e2e  Xeon E7 v2/Xeon E5 v2/Core i7 CBDMA
+	0e2f  Xeon E7 v2/Xeon E5 v2/Core i7 CBDMA
+	0e30  Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 0
+	0e32  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 0
+	0e33  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 1
+	0e34  Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe
+	0e36  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
+	0e37  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
+	0e38  Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 1
+	0e3a  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 2
+	0e3e  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
+	0e3f  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Performance Ring Monitoring
+	0e40  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 2
+	0e41  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Registers
+	0e43  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Reut 2
+	0e44  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Reut 2
+	0e45  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Agent Register
+	0e47  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Agent Register
+	0e60  Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 1
+	0e68  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Target Address/Thermal Registers
+	0e6a  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e6b  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e6c  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e6d  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e71  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 RAS Registers
+	0e74  Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe
+	0e75  Xeon E7 v2/Xeon E5 v2/Core i7 R2PCIe
+	0e77  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Registers
+	0e79  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 RAS Registers
+	0e7d  Xeon E7 v2/Xeon E5 v2/Core i7 UBOX Registers
+	0e7f  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Registers
+	0e80  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 0
+	0e81  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Ring Registers
+	0e83  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Reut 0
+	0e84  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Reut 0
+	0e85  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Agent Register
+	0e87  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Registers
+	0e90  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 1
+	0e93  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link 1
+	0e94  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Reut 1
+	0e95  Xeon E7 v2/Xeon E5 v2/Core i7 QPI Link Agent Register
+	0ea0  Xeon E7 v2/Xeon E5 v2/Core i7 Home Agent 0
+	0ea8  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Target Address/Thermal Registers
+	0eaa  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0eab  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0eac  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0ead  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0eae  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO Registers
+	0eaf  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO Registers
+	0eb0  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 0
+	0eb1  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 1
+	0eb2  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 0
+	0eb3  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 1
+	0eb4  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 2
+	0eb5  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 Thermal Control 3
+	0eb6  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 2
+	0eb7  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 1 Channel 0-3 ERROR Registers 3
+	0ebc  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO Registers
+	0ebe  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO Registers
+	0ebf  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO Registers
+	0ec0  Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 0
+	0ec1  Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 1
+	0ec2  Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 2
+	0ec3  Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 3
+	0ec4  Xeon E7 v2/Xeon E5 v2/Core i7 Power Control Unit 4
+	0ec8  Xeon E7 v2/Xeon E5 v2/Core i7 System Address Decoder
+	0ec9  Xeon E7 v2/Xeon E5 v2/Core i7 Broadcast Registers
+	0eca  Xeon E7 v2/Xeon E5 v2/Core i7 Broadcast Registers
+	0ed8  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0ed9  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0edc  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0edd  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0ede  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0edf  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0ee0  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee1  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee2  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee3  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee4  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee5  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee6  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee7  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee8  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ee9  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0eea  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0eeb  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0eec  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0eed  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0eee  Xeon E7 v2/Xeon E5 v2/Core i7 Unicast Registers
+	0ef0  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 0
+	0ef1  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 1
+	0ef2  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 0
+	0ef3  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 1
+	0ef4  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 2
+	0ef5  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 Thermal Control 3
+	0ef6  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 2
+	0ef7  Xeon E7 v2/Xeon E5 v2/Core i7 Integrated Memory Controller 0 Channel 0-3 ERROR Registers 3
+	0ef8  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0ef9  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0efa  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0efb  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0efc  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0efd  Xeon E7 v2/Xeon E5 v2/Core i7 DDRIO
+	0f00  Atom Processor Z36xxx/Z37xxx Series SoC Transaction Register
+	0f04  Atom Processor Z36xxx/Z37xxx Series High Definition Audio Controller
+	0f06  Atom Processor Z36xxx/Z37xxx Series LPIO1 DMA Controller
+	0f08  Atom Processor Z36xxx/Z37xxx Series LPIO1 PWM Controller
+	0f09  Atom Processor Z36xxx/Z37xxx Series LPIO1 PWM Controller
+	0f0a  Atom Processor Z36xxx/Z37xxx Series LPIO1 HSUART Controller #1
+	0f0c  Atom Processor Z36xxx/Z37xxx Series LPIO1 HSUART Controller #2
+	0f0e  Atom Processor Z36xxx/Z37xxx Series LPIO1 SPI Controller
+	0f14  Atom Processor Z36xxx/Z37xxx Series SDIO Controller
+	0f15  Atom Processor Z36xxx/Z37xxx Series SDIO Controller
+	0f16  Atom Processor Z36xxx/Z37xxx Series SDIO Controller
+	0f18  Atom Processor Z36xxx/Z37xxx Series Trusted Execution Engine
+	0f1c  Atom Processor Z36xxx/Z37xxx Series Power Control Unit
+	0f28  Atom Processor Z36xxx/Z37xxx Series LPE Audio Controller
+	0f31  Atom Processor Z36xxx/Z37xxx Series Graphics & Display
+	0f34  Atom Processor Z36xxx/Z37xxx Series USB EHCI
+	0f35  Atom Processor Z36xxx/Z37xxx Series USB xHCI
+	0f37  Atom Processor Z36xxx/Z37xxx Series OTG USB Device
+	0f38  Atom Processor Z36xxx/Z37xxx Series Camera ISP
+	0f40  Atom Processor Z36xxx/Z37xxx Series LPIO2 DMA Controller
+	0f41  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #1
+	0f42  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #2
+	0f43  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #3
+	0f44  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #4
+	0f45  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #5
+	0f46  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #6
+	0f47  Atom Processor Z36xxx/Z37xxx Series LPIO2 I2C Controller #7
 	1000  82542 Gigabit Ethernet Controller (Fiber)
 		0e11 b0df  NC6132 Gigabit Ethernet Adapter (1000-SX)
 		0e11 b0e0  NC6133 Gigabit Ethernet Adapter (1000-LX)
@@ -18923,6 +20041,7 @@
 		1028 0134  PowerEdge 600SC
 		1028 0151  Optiplex GX270
 		107b 8920  PRO/1000 MT Desktop Adapter
+		1af4 1100  QEMU Virtual Machine
 		8086 001e  PRO/1000 MT Desktop Adapter
 		8086 002e  PRO/1000 MT Desktop Adapter
 		8086 1376  PRO/1000 GT Desktop Adapter
@@ -18986,6 +20105,7 @@
 		1179 0001  PRO/1000 MT Mobile Connection
 		8086 101e  PRO/1000 MT Mobile Connection
 	1026  82545GM Gigabit Ethernet Controller
+		1028 0168  Precision Workstation 670 Mainboard
 		1028 0169  Precision 470
 		8086 1000  PRO/1000 MT Server Connection
 		8086 1001  PRO/1000 MT Server Adapter
@@ -19164,6 +20284,7 @@
 	108f  Active Management Technology - SOL
 	1091  PRO/100 VM Network Connection
 	1092  PRO/100 VE Network Connection
+		1071 8209  Medion MIM 2240 Notebook PC [MD98100]
 	1093  PRO/100 VM Network Connection
 	1094  PRO/100 VE Network Connection
 	1095  PRO/100 VE Network Connection
@@ -19178,7 +20299,7 @@
 	109a  82573L Gigabit Ethernet Controller
 		1179 ff10  PRO/1000 PL
 		17aa 2001  ThinkPad T60
-		17aa 207e  ThinkPad X60s
+		17aa 207e  ThinkPad X60/X60s
 		8086 109a  PRO/1000 PL Network Connection
 		8086 309c  Desktop Board D945GTP
 		8086 30a5  Desktop Board D975XBX
@@ -19256,9 +20377,13 @@
 	10ce  82567V-2 Gigabit Network Connection
 	10d3  82574L Gigabit Network Connection
 		103c 3250  NC112T PCI Express single Port Gigabit Server Adapter
+		1043 8369  Motherboard
+		1093 76e9  PCIe-8233 Ethernet Adapter
 		10a9 8029  Prism XL Single Port Gigabit Ethernet
 		15d9 060a  X7SPA-H/X7SPA-HF Motherboard
+		15d9 060d  C7SIM-Q Motherboard
 		8086 0001  Gigabit CT2 Desktop Adapter
+		8086 357a  Server Board S1200BTS
 		8086 a01f  Gigabit CT Desktop Adapter
 		e4bf 50c1  PC1-GROOVE
 		e4bf 50c2  PC2-LIMBO
@@ -19301,6 +20426,7 @@
 	10ed  82599 Ethernet Controller Virtual Function
 	10ef  82578DM Gigabit Network Connection
 		1028 02da  OptiPlex 980
+		15d9 060d  C7SIM-Q Motherboard
 	10f0  82578DC Gigabit Network Connection
 	10f1  82598EB 10-Gigabit AF Dual Port Network Connection
 		8086 a20f  10-Gigabit AF DA Dual Port Server Adapter
@@ -19329,6 +20455,7 @@
 		103c 2159  Ethernet 10Gb 2-port 562i Adapter
 		108e 7b11  Ethernet Server Adapter X520-2
 		1734 11a9  10 Gigabit Dual Port Network Connection
+		17aa 1071  ThinkServer X520-2 AnyFabric
 		8086 0002  Ethernet Server Adapter X520-DA2
 		8086 0003  Ethernet Server Adapter X520-2
 		8086 0006  Ethernet Server Adapter X520-1
@@ -19361,6 +20488,7 @@
 		172a 0000  AEP SSL Accelerator
 	1209  8255xER/82551IT Fast Ethernet Controller
 		140b 0610  PMC610 quad Ethernet board
+		1af4 1100  QEMU Virtual Machine
 		4c53 1050  CT7 mainboard
 		4c53 1051  CE7 mainboard
 		4c53 1070  PC6 mainboard
@@ -19443,6 +20571,7 @@
 		1668 1100  EtherExpress PRO/100B (TX) (MiniPCI Ethernet+Modem)
 		1775 1100  CR11/VR11 Single Board Computer
 		1775 ce90  CE9
+		1af4 1100  QEMU Virtual Machine
 		4c53 1080  CT8 mainboard
 		4c53 10e0  PSL09 PrPMC
 		8086 0001  EtherExpress PRO/100B (TX)
@@ -19561,6 +20690,7 @@
 	1501  82567V-3 Gigabit Network Connection
 	1502  82579LM Gigabit Network Connection
 		1028 04a3  Precision M4600
+		8086 357a  Server Board S1200BTS
 	1503  82579V Gigabit Network Connection
 		1043 849c  P8P67 Deluxe Motherboard
 	1507  Ethernet Express Module X520-P2
@@ -19593,8 +20723,10 @@
 		108e 7b13  Dual 10GBASE-T LP
 	1520  I350 Ethernet Controller Virtual Function
 	1521  I350 Gigabit Network Connection
-		1028 1f60  Intel GbE 4P I350crNDC
-		1028 1f62  Intel GbE 2P I350crNDC
+		1028 0602  Gigabit 2P I350-t LOM
+		1028 1f60  Gigabit 4P I350-t rNDC
+		1028 1f62  Gigabit 4P X540/I350 rNDC
+		1028 ff9a  Gigabit 4P X710/I350 rNDC
 		103c 17d1  Ethernet 1Gb 4-port 366FLR Adapter
 		103c 2003  Ethernet 1Gb 2-port 367i Adapter
 		103c 2226  Ethernet 1Gb 1-port 364i Adapter
@@ -19603,7 +20735,12 @@
 		103c 339e  Ethernet 1Gb 2-port 361T Adapter
 		108e 7b16  Quad Port GbE PCIe 2.0 ExpressModule, UTP
 		108e 7b18  Quad Port GbE PCIe 2.0 Low Profile Adapter, UTP
+		1093 7648  PCIe-8237R Ethernet Adapter
+		1093 7649  PCIe-8236 Ethernet Adapter
+		1093 76b1  PCIe-8237R-S Ethernet Adapter
+		1093 775b  PCIe-8237 Ethernet Adapter
 		10a9 802a  UV2-BaseIO dual-port GbE
+		17aa 1074  ThinkServer I350-T4 AnyFabric
 		8086 0001  Ethernet Server Adapter I350-T4
 		8086 0002  Ethernet Server Adapter I350-T2
 		8086 00a1  Ethernet Server Adapter I350-T4
@@ -19621,6 +20758,8 @@
 		8086 00a3  Ethernet Server Adapter I350-F4
 		8086 00a4  Ethernet Server Adapter I350-F2
 	1523  I350 Gigabit Backplane Connection
+		1028 0060  Gigabit 2P I350 LOM
+		1028 1f9b  Gigabit 4P I350-t bNDC
 		103c 1784  Ethernet 1Gb 2-port 361FLB Adapter
 		103c 18d1  Ethernet 1Gb 2-port 361FLB Adapter
 		103c 1989  Ethernet 1Gb 2-port 363i Adapter
@@ -19642,6 +20781,7 @@
 		108e 7b14  Sun Dual Port 10 GbE PCIe 2.0 ExpressModule, Base-T
 		108e 7b15  Sun Dual Port 10 GbE PCIe 2.0 Low Profile Adapter, Base-T
 		1137 00bf  Ethernet Converged Network Adapter X540-T2
+		17aa 1073  ThinkServer X540-T2 AnyFabric
 		8086 0001  Ethernet Converged Network Adapter X540-T2
 		8086 0002  Ethernet Converged Network Adapter X540-T1
 		8086 001a  Ethernet Converged Network Adapter X540-T2
@@ -19651,15 +20791,18 @@
 	1529  82599 10 Gigabit Dual Port Network Connection with FCoE
 	152a  82599 10 Gigabit Dual Port Backplane Connection with FCoE
 	1533  I210 Gigabit Network Connection
-		103c 0003  Ethernet Server Adapter I210-T1
+		103c 0003  Ethernet I210-T1 GbE NIC
+		1093 7706  Compact Vision System Ethernet Adapter
+		10a9 802c  UV300 BaseIO single-port GbE
+		17aa 1100  ThinkServer Ethernet Server Adapter
 		8086 0001  Ethernet Server Adapter I210-T1
 		8086 0002  Ethernet Server Adapter I210-T1
-	1534  I210 Gigabit Network Connection
 	1536  I210 Gigabit Fiber Network Connection
 	1537  I210 Gigabit Backplane Connection
 	1538  I210 Gigabit Network Connection
 	1539  I211 Gigabit Network Connection
 	153a  Ethernet Connection I217-LM
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	153b  Ethernet Connection I217-V
 	1547  DSL3510 Thunderbolt Port [Cactus Ridge]
@@ -19668,6 +20811,7 @@
 		8086 011a  Ethernet Converged Network Adapter X520-4
 		8086 011b  Ethernet Converged Network Adapter X520-4
 		8086 011c  Ethernet Converged Network Adapter X520-4
+	154c  XL710/X710 Virtual Function
 	154d  Ethernet 10G 2P X520 Adapter
 		8086 7b11  10GbE 2P X520 Adapter
 	1557  82599 10 Gigabit Network Connection
@@ -19677,6 +20821,7 @@
 		8086 011b  Ethernet Converged Network Adapter X520-Q1
 	1559  Ethernet Connection I218-V
 	155a  Ethernet Connection I218-LM
+		17aa 2214  ThinkPad X240
 	155c  Ethernet Server Bypass Adapter
 		8086 0001  Ethernet Server Bypass Adapter X540-T2
 	155d  Ethernet Server Bypass Adapter
@@ -19683,12 +20828,78 @@
 		8086 0001  Ethernet Server Bypass Adapter X520-SR2
 		8086 0002  Ethernet Server Bypass Adapter X520-LR2
 	1560  Ethernet Controller X540
+	156f  Ethernet Connection I219-LM
+	1570  Ethernet Connection I219-V
+	1571  XL710/X710 Virtual Function
+	1572  Ethernet Controller X710 for 10GbE SFP+
+		1028 1f99  Ethernet 10G 4P X710/I350 rNDC
+		8086 0000  Ethernet Converged Network Adapter X710
+		8086 0001  Ethernet Converged Network Adapter X710-4
+		8086 0002  Ethernet Converged Network Adapter X710-4
+		8086 0004  Ethernet Converged Network Adapter X710-4
+		8086 0005  Ethernet 10G 4P X710 Adapter
+		8086 0006  Ethernet 10G 2P X710 Adapter
+		8086 0007  Ethernet Converged Network Adapter X710-2
+		8086 0008  Ethernet Converged Network Adapter X710-2
 	157b  I210 Gigabit Network Connection
 	157c  I210 Gigabit Backplane Connection
+	1580  Ethernet Controller XL710 for 40GbE backplane
+	1581  Ethernet Controller X710 for 10GbE backplane
+		1028 1f98  Ethernet 10G 4P X710-k bNDC
+	1583  Ethernet Controller XL710 for 40GbE QSFP+
+		8086 0000  Ethernet Converged Network Adapter XL710-Q2
+		8086 0001  Ethernet Converged Network Adapter XL710-Q2
+		8086 0002  Ethernet Converged Network Adapter XL710-Q2
+		8086 0003  Ethernet I/O Module XL710-Q2
+	1584  Ethernet Controller XL710 for 40GbE QSFP+
+		8086 0000  Ethernet Converged Network Adapter XL710-Q1
+		8086 0001  Ethernet Converged Network Adapter XL710-Q1
+		8086 0002  Ethernet Converged Network Adapter XL710-Q1
+		8086 0003  Ethernet I/O Module XL710-Q1
+	1585  Ethernet Controller XL710 for 10GbE QSFP+
 	15a0  Ethernet Connection (2) I218-LM
 	15a1  Ethernet Connection (2) I218-V
 	15a2  Ethernet Connection (3) I218-LM
 	15a3  Ethernet Connection (3) I218-V
+	15b7  Ethernet Connection (2) I219-LM
+	15b8  Ethernet Connection (2) I219-V
+	1600  Broadwell-U Host Bridge -OPI
+	1601  Broadwell-U PCI Express x16 Controller
+	1602  Broadwell-U Integrated Graphics
+	1603  Broadwell-U Camarillo Device
+	1604  Broadwell-U Host Bridge -OPI
+	1605  Broadwell-U PCI Express x8 Controller
+	1606  Broadwell-U Integrated Graphics
+	1607  Broadwell-U CHAPS Device
+	1608  Broadwell-U Host Bridge -OPI
+	1609  Broadwell-U x4 PCIe
+	160a  Broadwell-U Integrated Graphics
+	160b  Broadwell-U Integrated Graphics
+	160c  Broadwell-U Audio Controller
+	160d  Broadwell-U Integrated Graphics
+	160e  Broadwell-U Integrated Graphics
+	160f  Broadwell-U SoftSKU
+	1610  Broadwell-U Host Bridge - DMI
+	1612  Broadwell-U Integrated Graphics
+	1614  Broadwell-U Host Bridge - DMI
+	1616  Broadwell-U Integrated Graphics
+	1618  Broadwell-U Host Bridge - DMI
+	161a  Broadwell-U Integrated Graphics
+	161b  Broadwell-U Integrated Graphics
+	161d  Broadwell-U Integrated Graphics
+	161e  Broadwell-U Integrated Graphics
+	1622  Broadwell-U Integrated Graphics
+	1626  Broadwell-U Integrated Graphics
+	162a  Broadwell-U Integrated Graphics
+	162b  Broadwell-U Integrated Graphics
+	162d  Broadwell-U Integrated Graphics
+	162e  Broadwell-U Integrated Graphics
+	1632  Broadwell-U Integrated Graphics
+	1636  Broadwell-U Integrated Graphics
+	163a  Broadwell-U Integrated Graphics
+	163b  Broadwell-U Integrated Graphics
+	163d  Broadwell-U Integrated Graphics
+	163e  Broadwell-U Integrated Graphics
 	1960  80960RP (i960RP) Microprocessor
 		101e 0431  MegaRAID 431 RAID Controller
 		101e 0438  MegaRAID 438 Ultra2 LVD RAID Controller
@@ -19736,7 +20947,8 @@
 	1c01  6 Series/C200 Series Chipset Family 4 port SATA IDE Controller
 	1c02  6 Series/C200 Series Chipset Family SATA AHCI Controller
 		1028 04aa  XPS 8300
-		1043 844d  P8P67 Deluxe Motherboard
+		1043 844d  P8 series motherboard
+		8086 7270  Server Board S1200BTS
 	1c03  6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
 		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
